Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 May 2010 20:53:18 +0300

> From: Lennart Borgman <[email-masked]>
> Date: Mon, 17 May 2010 16:43:09 +0200
> Cc: Stephen Berman <[email-masked]>, [email-masked]
> 
> I don't think recentering is the right thing to do in this case. It is
> too surprising. Just scroll one line if needed.

When Emacs recenters, that means it exhausted all the other available
redisplay optimizations, and fell back on its default method of
completely redrawing a window.

What you want is an optimization that does not yet exist, AFAIK.  It
needs to be designed and coded.  The tricky part is to detect the
situation where the amount of scrolling can be easily computed in
advance, and do that computation without too many complications.  You
seem to think that this computation is easy, but that is only true
when the display shows characters of the same size everywhere.  In the
more general case, what do we do? still recenter?